IAcSmCustomPropertyBag


The interface to custom property values in an IAcSmDatabase object.

available methods :

(setq cad (vlax-get-acad-object))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq sheetset (vlax-invoke-method smdb 'GetSheetSet))
(setq custProps (vlax-invoke-method sheetset "GetCustomPropertyBag"))

GetProperty

returns the custom property value associated with the provided property name

(setq propval (vlax-invoke-method custProps 'GetProperty "Checked By"))

HRESULT GetProperty ([in] BSTR name, [out, retval] IAcSmCustomPropertyValue** value)

SetProperty

assigns a custom property value associated with the provided property name

(vlax-invoke-method custProps 'SetProperty "Checked By" propval)

HRESULT SetProperty ([in] BSTR name, [in] IAcSmCustomPropertyValue* value)

GetPropertyEnumerator

returns an enumerator on all contained properties

(setq iter (vlax-invoke-method custProps 'GetPropertyEnumerator))

HRESULT GetPropertyEnumerator ([out, retval] IAcSmEnumProperty** enumerator)



©  Bricsys NV. All rights reserved.